# -*- coding: utf-8 -*-

"""Fichier: Savoir si une personne est du rectorat mais pas INSpecteur"""
"""Auteur: Christelle Le Moine"""
"""Date de création: 20 avril 2009"""
"""Extraction du rne de la personne à partir de l'attribut FrEduRne"""
"""Modifications: """


def calc_info(user_infos):

    import ldap
#initialisation du résultat
    isfonctionnel=0
    
    ## Recherche si la personne est dans le groupe des cas particuliers pia-dafpic
    baseDN = "ou=fonctionnelles, ou=ac-dijon, ou=education, o=gouv, c=fr"
    searchScope = ldap.SCOPE_SUBTREE
    uidd=user_infos.get('uid','')
    searchFilter = "uid="+uidd[0]+""
    l= ldap.initialize("ldap://194.167.18.161:400")  
    r = l.search(baseDN, searchScope, searchFilter)
    result_set = []
    while 1:
      result_type, result_data = l.result(r, 0)
      if (result_data == []):
        break
      else:
        isfonctionnel=1
              
    print result_set
    print 'is_fonctionnel',isfonctionnel
    return [isfonctionnel]
